no key · no human
HomeAPI documentationEvery endpointGET /v1/btc/price

GET /v1/btc/price

BTC/USDT candles

bash
curl "https://freenewsapi.ai/v1/btc/price"
response
{
 "from": "2026-08-08T12:25:03Z",
 "to": "2026-09-07T12:25:03Z",
 "interval": "hour",
 "points": 719,
 "candles": [
  {
   "time": "2026-08-08T13:00:00Z",
   "open": 65008.33,
   "high": 65018.0,
   "low": 65000.0,
   "close": 65015.27,
   "volume": 187.8575,
   "trades": 16805,
   "hours": 1
  },
  {
   "time": "2026-08-08T14:00:00Z",
   "open": 65015.27,
   "high": 65192.54,
   "low": 65015.27,
   "close": 65129.02,
   "volume": 356.3593,
   "trades": 44901,
   "hours": 1
  },
  {
   "time": "2026-08-08T15:00:00Z",
   "open": 65129.01,
   "high": 65149.57,
   "low": 65061.31,
   "close": 65080.82,
   "volume": 186.5848,
   "trades": 19760,
   "hours": 1
  },
  {
   "time": "2026-08-08T16:00:00Z",
   "open": 65080.83,
   "high": 65116.82,
   "low": 65039.0,
   "close": 65086.45,
   "volume": 128.8353,
   "trades": 22770,
   "hours": 1
  },
  {
   "time": "2026-08-08T17:00:00Z",
   "open": 65086.46,
   "high": 65150.0,
   "low": 65075.46,
   "close": 65119.75,
   "volume": 187.726,
   "trades": 23990,
   "hours": 1
  },
  {
   "time": "2026-08-08T18:00:00Z",
   "open": 65119.75,
   "high": 65119.75,
   "low": 65025.54,
   "close": 65044.07,
   "volume": 168.5201,
   "trades": 20825,
   "hours": 1
  },
  {
   "time": "2026-08-08T19:00:00Z",
   "open": 65044.08,
   "high": 65093.7,
   "low": 65017.39,
   "close": 65075.41,
   "volume": 205.3973,
   "trades": 16325,
   "hours": 1
…

Parameters

nametypedefaultmeaning
intervalstringhourhour | day | week
fromstringStart: YYYY-MM-DD, unix seconds or now-30d
tostringEnd, exclusive

No key, no header, no signup. Unknown query parameters are ignored, so adding one can never break a request. Errors are documented on the errors page.

As an MCP tool

The same endpoint is exposed to agents as news_get_btc_price with the identical parameters — see the MCP server.

← all endpoints